# Changelog
Todas as mudanças relevantes deste projeto serão documentadas neste arquivo.
O formato é baseado em [Keep a Changelog](http://keepachangelog.com/en/1.0.0/).
## 19.7.3 - 2019-07-05
### Removido
- Remoção da opção de upgrade do pdf (que nunca foi implementada)

### Mudanças
- Arquivo `latexcustomizacao.sty` referencias passaram a ser opcionais - [#194](https://github.com/abntex/limarka/issues/194)

### Melhorias implementadas
- Agora é possível ativar [outras extensões do pandoc](https://pandoc.org/MANUAL.html#non-pandoc-extensions) - [#63](https://github.com/abntex/limarka/issues/63)

---
## 19.7.2 - 2019-07-03
### Deprecated
- Comando 'check' será removido em breve

### Correções
- `help exec` passou a mostrar os parâmetros dos filtros.

---
## 19.7 - 2019-07-02
### Melhorias implementadas
- Possível utilizar filtros pandoc através das opções --filtros ou --filtros-lua [\#158](https://github.com/abntex/limarka/issues/158)

---
## 19.06 - 2019-06-22
### Melhorias implementadas
- Otimização da execução dos testes no Travis através do cache com o TinyTex entre execuções.
- Testes e deploys realizados em 2 stages no Travis (Otimização do tempo do teste e deploy)
- Os testes automatizados geram [relatório de cobertura dos testes](https://coveralls.io/github/abntex/limarka) - [\#152](https://github.com/abntex/limarka/issues/152)

### Mudanças
- Versionamento do limarka foi simplificado, agora utiliza ANO.MÊS (yy.d) para a versões oficiais, E ANO.MÊS-pre.NUMBER (yy.d-pre-n) para versões em desenvolvimento. Essa mudança permite o desenvolvimento mais ágil.
- Novas imagens do docker passaram a ser geradas no processo de build. Imagens de desenvolvimento: `limarka/ruby-latex-pandoc:dev` e `limarka/limarka:dev` Imagens de release: `limarka/limarka`, `limarka/limarka:ANO` e `limarka/limarka:ANO.MES`
- Gestão do changelog passou ser feito com o codelog - [\#191](https://github.com/abntex/limarka/issues/191)

---
<!-- Old changelog starts here -->

## [v1.1.0](https://github.com/abntex/limarka/tree/v1.1.0) (2019-06-04)
[Full Changelog](https://github.com/abntex/limarka/compare/v1.0.2...v1.1.0)

**Melhorias implementadas:**

- Atualização de testes e dependencias [\#187](https://github.com/abntex/limarka/issues/187)
- Criar capas personalizadas a partir de arquivos pdf [\#185](https://github.com/abntex/limarka/issues/185)
- Gerar listas de quadros independente através de configuração [\#181](https://github.com/abntex/limarka/issues/181)
- Deploy de imagens docker diferenciadas para TAG e desenvolvimento [\#176](https://github.com/abntex/limarka/issues/176)
- Distriuir o limarka através do docker com tinytex [\#172](https://github.com/abntex/limarka/issues/172)

## [v1.0.2](https://github.com/abntex/limarka/tree/v1.0.2) (2019-01-17)
[Full Changelog](https://github.com/abntex/limarka/compare/v1.0.1...v1.0.2)

**Melhorias implementadas:**

- Utilizar o tinytex nos testes automatizados [\#164](https://github.com/abntex/limarka/issues/164)

**Issues fechados:**

- Atualizar documentação sobre o pacote pdftk no Ubuntu 18.04 [\#168](https://github.com/abntex/limarka/issues/168)
- Atualizar documentação sobre dependências de compilação no Ubuntu 17.10.1 [\#160](https://github.com/abntex/limarka/issues/160)
- Sumário da versão v1.0.2 [\#171](https://github.com/abntex/limarka/issues/171)
- Atualizar documentação sobre o TinyTex [\#170](https://github.com/abntex/limarka/issues/170)

## [v1.0.1](https://github.com/abntex/limarka/tree/v1.0.1) (2018-10-22)
[Full Changelog](https://github.com/abntex/limarka/compare/v1.0.0...v1.0.1)

**Bugs corrigidos:**

- Limarka ainda informava que a versão 2.X era incompatível [\#167](https://github.com/abntex/limarka/issues/167)

## [v1.0.0](https://github.com/abntex/limarka/tree/v1.0.0) (2018-10-22)
[Full Changelog](https://github.com/abntex/limarka/compare/v0.8.0...v1.0.0)

**Melhorias implementadas:**

- Tornar o limarka compatível com o pandoc 2.0 [\#159](https://github.com/abntex/limarka/issues/159)

## [v0.8.0](https://github.com/abntex/limarka/tree/v0.8.0) (2018-10-20)
[Full Changelog](https://github.com/abntex/limarka/compare/v0.7.2...v0.8.0)

**Melhorias implementadas:**

- Possibilita checar e notificar problemas de dependências no sistema [\#165](https://github.com/abntex/limarka/issues/165)
- limarka --version inclui versões das dependências [\#149](https://github.com/abntex/limarka/issues/149)
- Limarka dependende de guard-shell possibilitando geração automática [\#141](https://github.com/abntex/limarka/issues/141)
- Template extraído para submódulo modelo-oficial [\#79](https://github.com/abntex/limarka/issues/79)

**Issues fechados:**

- Distribuição do limarka através de imagem Docker [\#155](https://github.com/abntex/limarka/issues/155)

## [v0.7.2](https://github.com/abntex/limarka/tree/v0.7.2) (2017-04-09)
[Full Changelog](https://github.com/abntex/limarka/compare/v0.7.1...v0.7.2)

**Melhorias implementadas:**

- Possibilitar escrita de capítulos sem numeração [\#142](https://github.com/abntex/limarka/issues/142)
- Exibir mensagem indicando a versão requerida do pandoc após instalação [\#138](https://github.com/abntex/limarka/issues/138)

**Bugs corrigidos:**

- Problema ao executar filtro pandoc\_abnt no Windows [\#143](https://github.com/abntex/limarka/issues/143)
- Identação na lista de siglas [\#139](https://github.com/abntex/limarka/issues/139)

## [v0.7.1](https://github.com/abntex/limarka/tree/v0.7.1) (2017-02-11)
[Full Changelog](https://github.com/abntex/limarka/compare/v0.7.0...v0.7.1)

**Melhorias implementadas:**

- Atualização do pandoc para versão 1.19.2 [\#130](https://github.com/abntex/limarka/issues/130)

## [v0.7.0](https://github.com/abntex/limarka/tree/v0.7.0) (2017-02-11)
[Full Changelog](https://github.com/abntex/limarka/compare/v0.6.7...v0.7.0)

**Melhorias implementadas:**

- Criar filtro para inclusão de Fonte em figuras [\#127](https://github.com/abntex/limarka/issues/127)

**Bugs corrigidos:**

- Folha de aprovação gerada não apresenta o mês [\#128](https://github.com/abntex/limarka/issues/128)

## [v0.6.7](https://github.com/abntex/limarka/tree/v0.6.7) (2017-01-31)
[Full Changelog](https://github.com/abntex/limarka/compare/v0.6.6...v0.6.7)

## [v0.6.6](https://github.com/abntex/limarka/tree/v0.6.6) (2017-01-22)
[Full Changelog](https://github.com/abntex/limarka/compare/v0.6.5...v0.6.6)

**Bugs corrigidos:**

- Erro ao ler campos multi-linhas de configuração salva com o PDF-XChange Viewer  [\#124](https://github.com/abntex/limarka/issues/124)
- Erro nas referências quando title está entre duplas chaves e contem subtítulo [\#122](https://github.com/abntex/limarka/issues/122)

## [v0.6.5](https://github.com/abntex/limarka/tree/v0.6.5) (2017-01-16)
[Full Changelog](https://github.com/abntex/limarka/compare/v0.6.4...v0.6.5)

**Melhorias implementadas:**

- Documentação da API [\#121](https://github.com/abntex/limarka/issues/121)

## [v0.6.4](https://github.com/abntex/limarka/tree/v0.6.4) (2017-01-16)
[Full Changelog](https://github.com/abntex/limarka/compare/v0.6.3...v0.6.4)

## [v0.6.3](https://github.com/abntex/limarka/tree/v0.6.3) (2017-01-15)
[Full Changelog](https://github.com/abntex/limarka/compare/v0.6.2...v0.6.3)

**Melhorias implementadas:**

- Fazer os testes Latex passarem no travis [\#113](https://github.com/abntex/limarka/issues/113)
- Tornar a ajuda \(o wiki\) acessível off-line [\#105](https://github.com/abntex/limarka/issues/105)
- Melhorias de navegação no Wiki [\#101](https://github.com/abntex/limarka/issues/101)

**Bugs corrigidos:**

- Erro quando há espaço no path do diretório no Windows [\#117](https://github.com/abntex/limarka/issues/117)

**Issues fechados:**

- Comunicar a equipe do abntex sobre o lançamento do limarka [\#66](https://github.com/abntex/limarka/issues/66)
- Apresentar a ferramenta utilizando gif animados [\#114](https://github.com/abntex/limarka/issues/114)
- Write a better CONTRIBUTING and README [\#99](https://github.com/abntex/limarka/issues/99)
- Software paper writing [\#94](https://github.com/abntex/limarka/issues/94)
- Several actions related to the software paper [\#93](https://github.com/abntex/limarka/issues/93)

## [v0.6.2](https://github.com/abntex/limarka/tree/v0.6.2) (2017-01-09)
[Full Changelog](https://github.com/abntex/limarka/compare/v0.6.1...v0.6.2)

**Bugs corrigidos:**

- Falta do gem ffi causa problema no Windows [\#115](https://github.com/abntex/limarka/issues/115)

**Issues fechados:**

- Updating version software of the paper [\#120](https://github.com/abntex/limarka/issues/120)

## [v0.6.1](https://github.com/abntex/limarka/tree/v0.6.1) (2017-01-08)
[Full Changelog](https://github.com/abntex/limarka/compare/v0.6.0...v0.6.1)

**Melhorias implementadas:**

- Deployment de imagens docker a partir do travis [\#111](https://github.com/abntex/limarka/issues/111)
- Utilizar sistema de integração contínua [\#108](https://github.com/abntex/limarka/issues/108)

**Bugs corrigidos:**

- O build no servidor de integração contínua está falhando [\#109](https://github.com/abntex/limarka/issues/109)

**Issues fechados:**

- Sala no gitter será o meio oficial de comunicação [\#112](https://github.com/abntex/limarka/issues/112)
- Inclusão de badges no README [\#106](https://github.com/abntex/limarka/issues/106)

## [v0.6.0](https://github.com/abntex/limarka/tree/v0.6.0) (2016-12-27)
[Full Changelog](https://github.com/abntex/limarka/compare/v0.5.5...v0.6.0)

**Melhorias implementadas:**

- Criação de um logo para o projeto [\#102](https://github.com/abntex/limarka/issues/102)
- Inclusão de menu interativo [\#100](https://github.com/abntex/limarka/issues/100)

## [v0.5.5](https://github.com/abntex/limarka/tree/v0.5.5) (2016-12-19)
[Full Changelog](https://github.com/abntex/limarka/compare/v0.5.4...v0.5.5)

**Melhorias implementadas:**

- Remover dependência de execução pdftotext [\#97](https://github.com/abntex/limarka/issues/97)
- Tornar compatível com o Windows [\#87](https://github.com/abntex/limarka/issues/87)

## [v0.5.4](https://github.com/abntex/limarka/tree/v0.5.4) (2016-12-19)
[Full Changelog](https://github.com/abntex/limarka/compare/v0.5.3...v0.5.4)

**Bugs corrigidos:**

- Problemas de codificação no Windows [\#98](https://github.com/abntex/limarka/issues/98)

## [v0.5.3](https://github.com/abntex/limarka/tree/v0.5.3) (2016-12-19)
[Full Changelog](https://github.com/abntex/limarka/compare/v0.5.2...v0.5.3)

**Bugs corrigidos:**

- Corrigir saída dev/nul para funcionar no Windows [\#96](https://github.com/abntex/limarka/issues/96)

**Issues fechados:**

- Creating an Open Canvas for limarka [\#95](https://github.com/abntex/limarka/issues/95)

## [v0.5.2](https://github.com/abntex/limarka/tree/v0.5.2) (2016-12-09)
[Full Changelog](https://github.com/abntex/limarka/compare/v0.5.1...v0.5.2)

**Melhorias implementadas:**

- Inclusão de instruções de como colaborar com o projeto [\#86](https://github.com/abntex/limarka/issues/86)

**Issues fechados:**

- Alteração de configurações nos repositórios do projeto no github [\#85](https://github.com/abntex/limarka/issues/85)

## [v0.5.1](https://github.com/abntex/limarka/tree/v0.5.1) (2016-12-05)
[Full Changelog](https://github.com/abntex/limarka/compare/v0.5.0...v0.5.1)

**Bugs corrigidos:**

- Correção da legenda da tabela [\#91](https://github.com/abntex/limarka/issues/91)

## [v0.5.0](https://github.com/abntex/limarka/tree/v0.5.0) (2016-12-05)
[Full Changelog](https://github.com/abntex/limarka/compare/v0.4.6...v0.5.0)

**Melhorias implementadas:**

- Comando para auxiliar elaboração de cronogramas [\#90](https://github.com/abntex/limarka/issues/90)
- Possibilita utilizações de arquivos de rascunho [\#82](https://github.com/abntex/limarka/issues/82)

## [v0.4.6](https://github.com/abntex/limarka/tree/v0.4.6) (2016-11-28)
[Full Changelog](https://github.com/abntex/limarka/compare/v0.4.5...v0.4.6)

**Melhorias implementadas:**

- Antecipar validação de dados quando inserindo figuras [\#78](https://github.com/abntex/limarka/issues/78)

**Bugs corrigidos:**

- Apresentação do número da página [\#71](https://github.com/abntex/limarka/issues/71)

## [v0.4.5](https://github.com/abntex/limarka/tree/v0.4.5) (2016-11-20)
[Full Changelog](https://github.com/abntex/limarka/compare/v0.4.4...v0.4.5)

**Melhorias implementadas:**

- Geração do CHANGELOG com termos em português [\#77](https://github.com/abntex/limarka/issues/77)

**Bugs corrigidos:**

- Inconsistência ao adicionar referencia do clipboard [\#76](https://github.com/abntex/limarka/issues/76)
- Comando fig não apresenta a legenda apropriada no modo interativo [\#74](https://github.com/abntex/limarka/issues/74)

**Issues fechados:**

- Apresentação de funcionalidades no README [\#75](https://github.com/abntex/limarka/issues/75)

## [v0.4.4](https://github.com/abntex/limarka/tree/v0.4.4) (2016-11-18)
[Full Changelog](https://github.com/abntex/limarka/compare/v0.4.3...v0.4.4)

**Bugs corrigidos:**

- Correção no comentário de inserir figura [\#73](https://github.com/abntex/limarka/issues/73)

## [v0.4.3](https://github.com/abntex/limarka/tree/v0.4.3) (2016-11-18)
[Full Changelog](https://github.com/abntex/limarka/compare/v0.4.2...v0.4.3)

**Melhorias implementadas:**

- Sugere número de página para citações diretas [\#72](https://github.com/abntex/limarka/issues/72)

**Issues fechados:**

- Implementar mecanismo de ajuda [\#25](https://github.com/abntex/limarka/issues/25)
- Tarefa rake para geração de releases [\#22](https://github.com/abntex/limarka/issues/22)

## [v0.4.2](https://github.com/abntex/limarka/tree/v0.4.2) (2016-11-18)
[Full Changelog](https://github.com/abntex/limarka/compare/v0.4.1...v0.4.2)

**Melhorias implementadas:**

- Opção de criar tabelas [\#37](https://github.com/abntex/limarka/issues/37)

## [v0.4.1](https://github.com/abntex/limarka/tree/v0.4.1) (2016-11-17)
[Full Changelog](https://github.com/abntex/limarka/compare/v0.4.0...v0.4.1)

**Issues fechados:**

- Possibilitar incluir referência bibtex da área de transferência [\#69](https://github.com/abntex/limarka/issues/69)

## [v0.4.0](https://github.com/abntex/limarka/tree/v0.4.0) (2016-11-16)
[Full Changelog](https://github.com/abntex/limarka/compare/v0.3.0...v0.4.0)

**Melhorias implementadas:**

- Indicar a versão de utilização do limarka [\#64](https://github.com/abntex/limarka/issues/64)
- Aumentar o provisionamento de inclusão de Figura [\#39](https://github.com/abntex/limarka/issues/39)

## [v0.3.0](https://github.com/abntex/limarka/tree/v0.3.0) (2016-11-02)
[Full Changelog](https://github.com/abntex/limarka/compare/0.2.0...v0.3.0)

**Bugs corrigidos:**

- Correção do Sumário quando a lista de siglas está vazia [\#20](https://github.com/abntex/limarka/issues/20)

**Issues fechados:**

- Atualizando documentação no Wiki [\#65](https://github.com/abntex/limarka/issues/65)
- Inclusão de simbolos [\#62](https://github.com/abntex/limarka/issues/62)
- Emite mensagem de erro se não encontrar arquivo configuracao.yaml [\#61](https://github.com/abntex/limarka/issues/61)
- Remoção de comandos antigos [\#60](https://github.com/abntex/limarka/issues/60)
- Remoção do parâmetro de configuração técnica [\#59](https://github.com/abntex/limarka/issues/59)
- Seleção do sistema de referências: Numérico vs Alfabético [\#57](https://github.com/abntex/limarka/issues/57)
- Testes automatizados do template [\#56](https://github.com/abntex/limarka/issues/56)
- Seleção da Lista de tabelas [\#55](https://github.com/abntex/limarka/issues/55)
- Seleção da Lista de ilustrações [\#54](https://github.com/abntex/limarka/issues/54)
- Operação exec permite verbosidade [\#53](https://github.com/abntex/limarka/issues/53)
- Seleção da Folha de aprovação [\#52](https://github.com/abntex/limarka/issues/52)
- Permite exportar configuração para YAML [\#51](https://github.com/abntex/limarka/issues/51)
- Permite importar texto do word [\#50](https://github.com/abntex/limarka/issues/50)
- Arquivo de saída depende do nível de educação configurado [\#49](https://github.com/abntex/limarka/issues/49)
- Texto do propóstio do trabalho personalizável [\#48](https://github.com/abntex/limarka/issues/48)
- Adição dos campos Área de concentração e Linha de pesquisa [\#47](https://github.com/abntex/limarka/issues/47)
- Templates baseados exclusivamente no abnTeX2 [\#46](https://github.com/abntex/limarka/issues/46)
- Referências só serão possíveis com arquivo bibtex [\#43](https://github.com/abntex/limarka/issues/43)
- Atualização de dependência pdf-forms [\#42](https://github.com/abntex/limarka/issues/42)
- Se title de referência possui ":" cria um subtitle [\#41](https://github.com/abntex/limarka/issues/41)
- Possibilitar configurar o caminho do arquivo de referências biblatex [\#40](https://github.com/abntex/limarka/issues/40)
- Apresentar mensagem de erro amigável quando executada fora do diretório do projeto [\#38](https://github.com/abntex/limarka/issues/38)
- Seleção do tipo de Referências abortado [\#36](https://github.com/abntex/limarka/issues/36)
- Título das figuras na parte superior [\#35](https://github.com/abntex/limarka/issues/35)
- Configuração de proposta ou projeto [\#33](https://github.com/abntex/limarka/issues/33)
- Tornar o projeto atrativo a desenvolvedores [\#31](https://github.com/abntex/limarka/issues/31)
- Organizar documentação do projeto [\#21](https://github.com/abntex/limarka/issues/21)



\* *This Change Log was automatically generated by [github_changelog_generator](https://github.com/skywinder/Github-Changelog-Generator)*
