![logo](https://raw.githubusercontent.com/wiki/abntex/limarka/imagens/limarka-logo.png)

[![Build Status](https://travis-ci.org/abntex/limarka.svg?branch=master)](https://travis-ci.org/abntex/limarka) [![Coverage Status](https://coveralls.io/repos/github/abntex/limarka/badge.svg?branch=master)](https://coveralls.io/github/abntex/limarka?branch=master) [![Gem Version](https://badge.fury.io/rb/limarka.svg)](https://badge.fury.io/rb/limarka) [![Join the chat at https://gitter.im/abntex/limarka](https://badges.gitter.im/abntex/limarka.svg)](https://gitter.im/abntex/limarka?utm_source=badge&utm_medium=badge&utm_campaign=pr-badge&utm_content=badge)

![Normas da ABNT em 2017: Atualizadas](https://img.shields.io/badge/Normas%20da%20ABNT%20em%202017-Atualizadas-brightgreen.svg)
![NBR 14724:2011 100%](https://img.shields.io/badge/NBR%202014724%3A2011-100%25-brightgreen.svg)

Olá! Bem vindo ao limarka!

<!-- Show what you're doing, for who, and why.  -->

O limarka é uma ferramenta que possibilita seus usuários escreverem relatórios ou trabalhos de conclusão de curso (Monografia, TCC, Dissertação ou Tese) em arquivos somente texto e **produzir PDFs em conformidades com as Normas da ABNT**. A produção desse tipo de trabalho é um momento sensível na vida dos estudantes, que pode contribuir para evasão no ensino superior. O objetivo do limarka é liberar dos estudantes os esforços de formatação e adequação às Normas da ABNT, deixando-os concentrar-se no planejamento, execução e escrita de seus trabalhos.

# Quem utiliza o limarka diz que ele é fácil e prazeroso, descubra o porquê!

<!-- Explain what makes your project special, useful, exciting! -->

* Exige conhecimentos mínimos sobre as Normas da ABNT
* Utiliza modelo com estilos pré-configurados com as normas e de fácil utilização
* Utiliza sistema para gerenciamento de citações e elaboração das referências automaticamente
* Gera o sumário automaticamente, sem esforço adicional
* Permite a escrita do trabalho em arquivos somente texto, utilizando Markdown
* As configurações são realizadas em um arquivo de formulário em PDF

## Exemplo de utilização do limarka

![logo](https://raw.githubusercontent.com/wiki/abntex/limarka/imagens/escrevendo-objetivos-em-markdown.gif)

# Como iniciar utilização

<!-- Show how to get started using or contribution to the project -->

- [Para começar a utilizar a ferramenta siga as instruções no wiki do projeto](https://github.com/abntex/limarka/wiki)
- Lembre-se de acessar o [chat no gitter](http://gitter.im/abntex/limarka) para tirar suas dúvidas sobre a ferramenta.

# Contribuindo com o projeto

<!-- State what resources and contributions you're looking for -->

Veja como é fácil contribuir!

[![OpenCollective](https://opencollective.com/limarka/backers/badge.svg)![OpenCollective](https://opencollective.com/limarka/sponsors/badge.svg)](https://opencollective.com/limarka/donate)

## Professor

- Atualize sua página pessoal/institucional adicionando uma [matéria ou link sobre o limarka](https://github.com/abntex/limarka/wiki/Imprensa)
- Solicite incluir o limarka como uma alternativa nos materiais de instruções de produção de trabalhos de conclusão, ou nas disciplinas de Metodologia.
- Ao solicitar relatórios de atividades aos alunos, sugira a utilização do limarka.
- Divulgue um notícia sobre o limarka nas listas de professores ou alunos.
- Recomende a veiculação de uma matéria sobre o limarka na agência de noticias de sua instituição.
- Sugira seus orientandos experimentarem o limarka.
- Clique na estrela no repositório do projeto (equivale a um *like*)

## Estudante

- Utilize o limarka para elaboração de relatórios
- Participe do [experimente de uso da ferramenta](https://github.com/abntex/limarka/wiki/Experimentos) - NECESSITA-SE URGENTEMENTE!
- Compartilhe alguma notícia do limarka em suas redes sociais ou lista de alunos
- Escreva seu trabalho de conclusão com o limarka e compartilhe sua experiência
- Clique na estrela no repositório do projeto (equivale a um *like*)

## Usuário Latex

- Auxilie na criação de templates latex customizados para as instituições

## Desenvolvedor Ruby

[![GitHub issues](https://img.shields.io/github/issues/abntex/limarka.svg)](https://github.com/abntex/limarka/issues)

- [Escolha uma das funcionalidades para implementar](https://github.com/abntex/limarka/issues)
- Notifique ou corrija um Bug

Acesse o [chat no gitter](http://gitter.im/abntex/limarka) e fale conosco!

## Desenvolvedor Web

Nós desejamos melhorar a experiência de utilização da ferramenta implementando
um site que gere conteúdos dinâmicos, gostaria de contribuir?

Acesse o [chat no gitter](http://gitter.im/abntex/limarka) e fale conosco!

## Todas as formas de contribuição

Consulte o arquivo [CONTRIBUTING.md](CONTRIBUTING.md) para verificar todas as formas de contribuições.

<!-- Point to other key resources, such as a contributing.md file and a roadmap. -->

## Deseja entrar em contato?

O meio de comunicação oficial do limarka é uma sala de bate papo no gitter: [![Join the chat at https://gitter.im/abntex/limarka](https://badges.gitter.im/abntex/limarka.svg)](https://gitter.im/abntex/limarka)

# Links

- A documentação do limarka será mantida no [wiki do projeto](https://github.com/abntex/limarka/wiki).
- [Vídeos](https://www.youtube.com/playlist?list=PLTnAY6TvPRKK6OgGYy3UA0oFdfCfRZesY) -- recomendo assistir em velocidade rápida
- [Convite para realização de experimento de utilização](https://github.com/abntex/limarka/wiki/Experimentos)

# Funcionalidades do limarka

- Utilização da linguagem Markdown para escrita do texto;
- Configurações através de formulário PDF ou arquivo YAML;
- Possibilidade de inclusão de códigos Latex;
- Facilidade para geração de códigos para inclusão de Figuras, Quadros, Tabelas, Referências e Citações;
- Facilidade em edição ou personalização de templates;
- Facilidade de obter suporte ao código Latex gerado (compatível com o estilo do abnTeX2);

# License

Esse gem é disponibilizado como software livre através da [Licença MIT](http://opensource.org/licenses/MIT).
